---
title: pydo.projects.get()
description: Retrieve an Existing Project
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/projects/get/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.projects.get()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.projects.get(project_id="4de7ac8b-495b-4884-9a69-1050c6793cd6")
```

Returns `JSON`Raises `HttpResponseError`

## Description

To get a project, send a GET request to [`/v2/projects/{project_id}`](https://docs.digitalocean.com/reference/api/reference/projects/index.html.md#projects_get).

## Parameters

`project_id` string required

A unique identifier for a project.

Min: `1`

## Request Sample

## Show Request Sample

```python
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.projects.get(project_id="4e1bfbc3")
```

## Response Example

## Show Response Example

```json
{
  "project": {
    "id": "4e1bfbc3-dc3e-41f2-a18f-1b4d7ba71679",
    "owner_uuid": "99525febec065ca37b2ffe4f852fd2b2581895e7",
    "owner_id": 258992,
    "name": "my-web-api",
    "description": "My website API",
    "purpose": "Service or API",
    "environment": "Production",
    "created_at": "2018-09-27T20:10:35Z",
    "updated_at": "2018-09-27T20:10:35Z",
    "is_default": false
  }
}
```

## More Information

See [`/v2/projects/{project_id}`](https://docs.digitalocean.com/reference/api/reference/projects/index.html.md#projects_get) in the API reference for additional detail on responses, headers, parameters, and more.